### Method

# GLib IOChannel close

deprecated: 2.2

#### Declaration [src]

    void
    g_io_channel_close (
      GIOChannel* channel
    )

#### Description [src]

Close an IO channel. Any pending data to be written will be flushed, ignoring errors. The channel will not be freed until the last reference is dropped using g_io_channel_unref().

Deprecated since: 2.2

Use `g_io_channel_shutdown()` instead.